<template>
  <div id="Gotham City - Time Manager">
    <!-- <Burger></Burger> -->
    <NavBarCustom> </NavBarCustom>

    <!-- <NavBarCustom class="main-nav"> -->
    <!-- </NavBarCustom> -->
    <div class="content">
      <router-view />
    </div>

    <!-- <Sidebar>
      <ul class="sidebar-panel-nav">
        <li><a href="#home">Home</a></li>
        <li><a href="#user">User</a></li>
        <li><a href="#contact">Contact</a></li>
        <li><a href="#contact">Contact</a></li>
        <li><a href="#contact">Contact</a></li>
      </ul>
    </Sidebar> -->
  </div>
</template>

<script>
// import Burger from "./components/Menu/Burger";
// import Sidebar from "./components/Menu/Sidebar";
// import User from "./components/User";
// import Clock from "./components/Clock";
// import Workingtimes from "./components/Workingtimes";
import NavBarCustom from "@/components/NavBarCustom";

import Vue from "vue";
import "bootstrap/dist/css/bootstrap.css";
import "bootstrap-vue/dist/bootstrap-vue.css";

import { BNavbar } from "bootstrap-vue";
Vue.component("b-navbar", BNavbar);

// import { NavbarPlugin } from "bootstrap-vue";
// Vue.use(NavbarPlugin);

export default {
  name: "app",
  components: {
    // Burger,
    // Sidebar,
    // User,
    // Clock,
    // Workingtimes,
    NavBarCustom,
  },
  data() {
    return {
      msg: "Welcome to Your Vue.js App",
    };
  },
};
</script>

<style>
#topbar {
  height: 100px;
}

#clock {
  margin-right: 20%;
}

/* #user {
  width: 100%;
}

#dashboard {
  margin-top: 4%;
  width: 100%;
  display: flex;
  justify-content: center;
} */

html {
  height: 100%;
  overflow: hidden;
}

body {
  border: 0;
  margin: 0;
  padding: 0;
  /* font-family: "Roboto" !important; */
  height: 100%;
}

.logo {
  align-self: center;
  color: #fff;
  font-weight: bold;
  /* font-family: "Roboto" !important; */
}

.main-nav {
  display: flex;
  justify-content: space-between;
  padding: 0.5rem 0.8rem;
}

ul.sidebar-panel-nav {
  list-style-type: none;
}

ul.sidebar-panel-nav > li > a {
  color: #fff;
  text-decoration: none;
  font-size: 1.5rem;
  display: block;
  padding-bottom: 0.5em;
}
</style>